summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuca Longinotti <chtekk@gentoo.org>2005-11-01 10:04:13 +0000
committerLuca Longinotti <chtekk@gentoo.org>2005-11-01 10:04:13 +0000
commitf4b3bb785a5cf0407b2149d94ebfb4ebcef67af9 (patch)
tree5482542197162701615d4f30363add71b35bc59e /eclass/php-common-r1.eclass
parentFixed dodoc not to install COPYING and INSTALL. (diff)
downloadgentoo-2-f4b3bb785a5cf0407b2149d94ebfb4ebcef67af9.tar.gz
gentoo-2-f4b3bb785a5cf0407b2149d94ebfb4ebcef67af9.tar.bz2
gentoo-2-f4b3bb785a5cf0407b2149d94ebfb4ebcef67af9.zip
Fix java-internal INI file support.
Diffstat (limited to 'eclass/php-common-r1.eclass')
-rw-r--r--eclass/php-common-r1.eclass6
1 files changed, 5 insertions, 1 deletions
diff --git a/eclass/php-common-r1.eclass b/eclass/php-common-r1.eclass
index f10302cc655e..b7557b130dbf 100644
--- a/eclass/php-common-r1.eclass
+++ b/eclass/php-common-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-common-r1.eclass,v 1.3 2005/10/31 14:08:42 chtekk Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-common-r1.eclass,v 1.4 2005/11/01 10:04:13 chtekk Exp $
# ########################################################################
#
@@ -122,6 +122,10 @@ php_install_java() {
}
php_install_java_inifile() {
+ if ! useq java-internal ; then
+ return 1
+ fi
+
JAVA_LIBRARY="`grep -- '-DJAVALIB' Makefile | sed -e 's,.\+-DJAVALIB=\"\([^"]*\)\".*$,\1,g;'| sort | uniq `"
echo "extension = java.so" >> "${D}/${PHP_EXT_INI_DIR}/java.ini"